Page MenuHomePhabricator

Update hfst to 3.16.0
Closed, ResolvedPublic

Description

Update hfst package to latest upstream release 3.16.0 in Debian.

Event Timeline

KartikMistry set Due Date to Nov 14 2019, 6:30 PM.

Change 550092 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/hfst@master] New upstream release

https://gerrit.wikimedia.org/r/550092

KartikMistry renamed this task from Update hfst to 3.15.1 to Update hfst to 3.15.2.Nov 26 2019, 9:10 AM
KartikMistry removed Due Date.
KartikMistry updated the task description. (Show Details)

Change 550092 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/hfst@master] hfst: New upstream release 3.15.1

https://gerrit.wikimedia.org/r/550092

KartikMistry renamed this task from Update hfst to 3.15.2 to Update hfst to 3.15.3.Dec 14 2020, 7:46 AM
KartikMistry updated the task description. (Show Details)
KartikMistry updated the task description. (Show Details)

hfst is stuck with NEW queue due to license issue. Upstream is working on it at, https://github.com/hfst/hfst/issues/494

License issue is not resolved yet and not likely in near future (WIP though). Putting this in backlog as there is no progress since last update.

KartikMistry renamed this task from Update hfst to 3.15.3 to Update hfst to 3.15.4.Feb 13 2021, 4:17 PM
KartikMistry updated the task description. (Show Details)

I see that https://github.com/hfst/hfst/issues/494 is closed now. Does that unblock update?

Yes. Planning to upload to Debian experimental (transition to testing is blocked due to freeze).

KartikMistry renamed this task from Update hfst to 3.15.4 to Update hfst to 3.15.5.Jul 26 2021, 8:59 AM
KartikMistry updated the task description. (Show Details)

New release 3.15.5 is available and should be ready for Debian in sometime.

New release 3.15.5 is available and should be ready for Debian in sometime.

This is still not done due to license issue (being worked on).

KartikMistry renamed this task from Update hfst to 3.15.5 to Update hfst to 3.16.0.Feb 9 2022, 5:05 AM
KartikMistry updated the task description. (Show Details)

A new version is available at upstream now: https://github.com/hfst/hfst/releases/tag/v3.16.0

Yes! It now requires latest foma package. I'm working on it first.

Update: 3.15.4 is in Debian Unstable, 3.16.0 is still waiting for Foma (I'm working with upstream on this).

Backporting of hfst will be tracked in T302553.

Currently blocked to due Salsa (Debian's Gitlab instance) outage, but fixing foma for other issues meanwhile.

hfst uploaded to Debian Experimental.